Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.file
Interface ConfigurableFileTree

    org.gradle.api.file.ConfigurableFileTree
      org.gradle.api.file.FileCollection
          org.gradle.api.file.FileTree

All Superinterfaces:
  FileCollection, FileTree

    interface ConfigurableFileTree
    extends FileTree

A FileTree with a single base directory, which can be configured and modified.

You can obtain a `ConfigurableFileTree` instance by calling org.gradle.api.Project#fileTree(java.util.Map).

Method Summary
`ConfigurableFileTree` | `from(java.lang.Object dir)` Specifies base directory for this file tree using the given path.
`File` | `getDir()` Returns the base directory of this file tree.
`ConfigurableFileTree` | `setDir(java.lang.Object dir)` Specifies base directory for this file tree using the given path.

Methods inherited from interface FileTree
matching, matching, plus, visit, visit

Methods inherited from interface FileCollection
add, addToAntBuilder, addToAntBuilder, asType, getAsFileTree, getAsPath, getFiles, getSingleFile, plus, stopExecutionIfEmpty

Methods inherited from interface java.lang.Iterable
iterator

Methods inherited from class java.lang.Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Method Detail

### from

    public ConfigurableFileTree from(java.lang.Object dir)

  Specifies base directory for this file tree using the given path. The path is evaluated as for org.gradle.api.Project#file(Object).
  param:
    dir The base directory.
  return:
    this

### getDir

    public File getDir()

  Returns the base directory of this file tree.
  return:
    The base directory. Never returns null.

### setDir

    public ConfigurableFileTree setDir(java.lang.Object dir)

  Specifies base directory for this file tree using the given path. The path is evaluated as for org.gradle.api.Project#file(Object).
  param:
    dir The base directory.
  return:
    this

Groovy Documentation